Subject: [radext] Publication request for draft-ietf-radext-radius-extensions-06 as Standard Track RFC

From: jouni korhonen <[email-masked]>
Date: Mon, 26 Nov 2012 11:25:53 +0200

Dear secretary,

This is a request for publication of draft-ietf-radext-radius-extensions-06 as a standard track RFC.

- Jouni (RADEXT co-chair)

Technical Summary:

   draft-ietf-radext-radius-extensions-06 will be a Proposed Standard. The
   I-D adds substantial features to RADIUS protocol that are essential for
   the future of RADIUS and to meet the market demand. These new features
   extend, among other features, the standard attribute type space beyond
   the existing maximum limit of 256. Another remarkable area of
   improvement is the set of generic RADIUS attribute extension including
   long attributes with a value length greater than the current maximum of
   253 octets and standard way of encoding type-length-values with possible
   nesting for creating grouped type attributes.

Working Group Summary:

   Working group spent considerable long time on this document. The 
   technical content and selected solutions have been extensively
   discussed in the WG. One of the technical points that faced long
   technical discussion related to concatenation of multiple attributes
   into a one long attribute. The current solution in the I-D reflects
   the WG consensus.

Document Quality:

   There are multiple implementations already available. Also given the
   current I-D is the second incarnation of the design, we can say the
   described solution is mature. For the future support and implementations
   of RADIUS there is no much choice than implement the I-D since current
   RADIUS attribute type space has almost been exhausted.

   AAA Doctors have not reviewed the document yet. There is no need for MIB
   or other doctorate review.

Personnel:

   Jouni Korhonen ([email-masked]) is the document shepherd.
   Benoit Claise is the responsible AD.

(3) Briefly describe the review of this document that was performed by the Document Shepherd. If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.

   The document shepherd has reviewed the document after it has concluded the
   WGLC. The document shepherd thinks the document is ready for publication and
   there is no reason to delay the publication anymore, since the solutions
   defined in this document are needed by the industry. The remaining non-technical
   editorial nits can be handled in subsequent revisions of the I-D during the
   publication process.

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?

   No.

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.

   The document should be reviewed by AAA Directorate once it goes to IETF LC.

(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.

   The document shepherd has no specific concerns.

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?

   No IPRs have been declared.

(8) Has an IPR disclosure been filed that references this document? If so, summarize any WG discussion and conclusion regarding the IPR disclosures.

   No IPRs have been declared.

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?

   The WG consensus is solid and does not represent only the opinion of
   few individuals.

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarise the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)

   No.

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.

   The ID nits reports three warnings, which all are either bogus or due to
   lack of "NOT RECOMMENDED" in the standard RFC2119 text provided by the 
   xml2rfc template.

   The ID nits reports multiple comments on the document abstract (lack of
   "updates RFC xyz" text) but these can be included latest during the document 
   edit time.

   Other than the above, the document passes ID nits.

(12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, media type, and URI type reviews.

   The document does not define MIBs, media types, URIs etc.

(13) Have all references within this document been identified as either normative or informative?

   Yes.

(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?

   No.

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.

   No. however, RFC5226 (BCP) is currently listed as a Normative Reference and
   it is typically been listed as an Informative Reference.

(16) Will publication of this document change the status of any existing RFCs? Are those RFCs listed on the title page header, listed in the abstract, and discussed in the introduction? If the RFCs are not listed in the Abstract and Introduction, explain why, and point to the part of the document where the relationship of this document to the other RFCs is discussed. If this information is not in the document, explain why the WG considers it unnecessary.

   Yes. RFCs 2865, 2866, 3575, 5176, 6158 will be updated. These RFCs listed in
   the title page header but not in the abstract or in the introduction. The
   most important updates RFC3575 and RFC6158 are discussed in the main text.

   The missing abstract text is plain editorial and can be added if seen 
   necessary.

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. Confirm that all protocol extensions that the document makes are associated with the appropriate reservations in IANA registries. Confirm that any referenced IANA registries have been clearly identified. Confirm that newly created IANA registries include a detailed specification of the initial contents for the registry, that allocations procedures for future registrations are defined, and a reasonable name for the new registry has been suggested (see RFC 5226).

   The IANA section is clear and extensive regarding to the new allocation practices.

   The I-D allocates six attributes for the extended types and long extended types.
   Initial assignment for the new style extended attributes is also done. The
   IANA considerations also give detailed instructions how the allocations are to
   be done from the extended type space.

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.

   There are no new registries per se. However, the I-D describes clearly how
   the new style dotted attribute type tree is to be constructed. It is up to
   IANA to decide how the dotted attribute type tree is arranged in the
   existing RADIUS registry i.e., whether they are placed separately or
   part of the existing Radius Attribute Types registry.

   The existing IANA experts are recommended but they need to get familiar
   with the new style of type tree layout.

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, etc.

   Checked with ID nits.  There are no additional concerns.